import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class PersMgmtConfig {
    static LIST: string = "/v1/persMgmt/list"
    static ADD: string = "/v1/persMgmt"
    static DELETE: string = "/v1/persMgmt"
    static EDIT: string = "/v1/persMgmt"
}
class PersMgmtStore extends BaseStore<TagDataType> {
    constructor() {
        super(PersMgmtConfig)
        makeObservable(this, {})
    }
}

export const persMgmtStore = new PersMgmtStore();
